<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:18 PST 2021 -->
<title>SpellCheckedMetadata (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SpellCheckedMetadata (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SpellCheckedMetadata.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/metadata/Nutch.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/SpellCheckedMetadata.html" target="_top">Frames</a></li>
<li><a href="SpellCheckedMetadata.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.metadata</div>
<h2 title="Class SpellCheckedMetadata" class="title">Class SpellCheckedMetadata</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">org.apache.nutch.metadata.Metadata</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.metadata.SpellCheckedMetadata</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>, <a href="../../../../org/apache/nutch/metadata/CreativeCommons.html" title="interface in org.apache.nutch.metadata">CreativeCommons</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html" title="interface in org.apache.nutch.metadata">DublinCore</a>, <a href="../../../../org/apache/nutch/metadata/Feed.html" title="interface in org.apache.nutch.metadata">Feed</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata">HttpHeaders</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html" title="interface in org.apache.nutch.metadata">Nutch</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SpellCheckedMetadata</span>
extends <a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></pre>
<div class="block">A decorator to Metadata that adds spellchecking capabilities to property
 names. Currently used spelling vocabulary contains just the httpheaders from
 <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata"><code>HttpHeaders</code></a> class.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.metadata.CreativeCommons">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/CreativeCommons.html" title="interface in org.apache.nutch.metadata">CreativeCommons</a></h3>
<code><a href="../../../../org/apache/nutch/metadata/CreativeCommons.html#LICENSE_LOCATION">LICENSE_LOCATION</a>, <a href="../../../../org/apache/nutch/metadata/CreativeCommons.html#LICENSE_URL">LICENSE_URL</a>, <a href="../../../../org/apache/nutch/metadata/CreativeCommons.html#WORK_TYPE">WORK_TYPE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.metadata.DublinCore">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/DublinCore.html" title="interface in org.apache.nutch.metadata">DublinCore</a></h3>
<code><a href="../../../../org/apache/nutch/metadata/DublinCore.html#CONTRIBUTOR">CONTRIBUTOR</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#COVERAGE">COVERAGE</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#CREATOR">CREATOR</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#DATE">DATE</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#DESCRIPTION">DESCRIPTION</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#FORMAT">FORMAT</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#IDENTIFIER">IDENTIFIER</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#LANGUAGE">LANGUAGE</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#MODIFIED">MODIFIED</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#PUBLISHER">PUBLISHER</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#RELATION">RELATION</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#RIGHTS">RIGHTS</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#SOURCE">SOURCE</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#SUBJECT">SUBJECT</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#TITLE">TITLE</a>, <a href="../../../../org/apache/nutch/metadata/DublinCore.html#TYPE">TYPE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.metadata.HttpHeaders">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata">HttpHeaders</a></h3>
<code><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CLIENT_TRANSFER_ENCODING">CLIENT_TRANSFER_ENCODING</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_DISPOSITION">CONTENT_DISPOSITION</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_ENCODING">CONTENT_ENCODING</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LANGUAGE">CONTENT_LANGUAGE</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LENGTH">CONTENT_LENGTH</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LOCATION">CONTENT_LOCATION</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_MD5">CONTENT_MD5</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_TYPE">CONTENT_TYPE</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#IF_MODIFIED_SINCE">IF_MODIFIED_SINCE</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#LAST_MODIFIED">LAST_MODIFIED</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#LOCATION">LOCATION</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#TRANSFER_ENCODING">TRANSFER_ENCODING</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#USER_AGENT">USER_AGENT</a>, <a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#WRITABLE_CONTENT_TYPE">WRITABLE_CONTENT_TYPE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.metadata.Nutch">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Nutch.html" title="interface in org.apache.nutch.metadata">Nutch</a></h3>
<code><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_CRAWLDB">ARG_CRAWLDB</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_HOSTDB">ARG_HOSTDB</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_LINKDB">ARG_LINKDB</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEEDDIR">ARG_SEEDDIR</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEEDNAME">ARG_SEEDNAME</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEGMENTDIR">ARG_SEGMENTDIR</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEGMENTS">ARG_SEGMENTS</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_ALL">CACHING_FORBIDDEN_ALL</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_CONTENT">CACHING_FORBIDDEN_CONTENT</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_KEY">CACHING_FORBIDDEN_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_NONE">CACHING_FORBIDDEN_NONE</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#CHAR_ENCODING_FOR_CONVERSION">CHAR_ENCODING_FOR_CONVERSION</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#CRAWL_ID_KEY">CRAWL_ID_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_CONTENTLANG">FETCH_EVENT_CONTENTLANG</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_CONTENTTYPE">FETCH_EVENT_CONTENTTYPE</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_FETCHTIME">FETCH_EVENT_FETCHTIME</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_SCORE">FETCH_EVENT_SCORE</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_TITLE">FETCH_EVENT_TITLE</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_STATUS_KEY">FETCH_STATUS_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_TIME_KEY">FETCH_TIME_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#FIXED_INTERVAL_KEY">FIXED_INTERVAL_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#GENERATE_TIME_KEY">GENERATE_TIME_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ORIGINAL_CHAR_ENCODING">ORIGINAL_CHAR_ENCODING</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#PROTO_STATUS_KEY">PROTO_STATUS_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#PROTOCOL_STATUS_CODE_KEY">PROTOCOL_STATUS_CODE_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#REPR_URL_KEY">REPR_URL_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#ROBOTS_METATAG">ROBOTS_METATAG</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#SCORE_KEY">SCORE_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#SEGMENT_NAME_KEY">SEGMENT_NAME_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#SIGNATURE_KEY">SIGNATURE_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#STAT_PROGRESS">STAT_PROGRESS</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#VAL_RESULT">VAL_RESULT</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_FIXED_INTERVAL_KEY">WRITABLE_FIXED_INTERVAL_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_GENERATE_TIME_KEY">WRITABLE_GENERATE_TIME_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_PROTO_STATUS_KEY">WRITABLE_PROTO_STATUS_KEY</a>, <a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_REPR_URL_KEY">WRITABLE_REPR_URL_KEY</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.metadata.Feed">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Feed.html" title="interface in org.apache.nutch.metadata">Feed</a></h3>
<code><a href="../../../../org/apache/nutch/metadata/Feed.html#FEED">FEED</a>, <a href="../../../../org/apache/nutch/metadata/Feed.html#FEED_AUTHOR">FEED_AUTHOR</a>, <a href="../../../../org/apache/nutch/metadata/Feed.html#FEED_PUBLISHED">FEED_PUBLISHED</a>, <a href="../../../../org/apache/nutch/metadata/Feed.html#FEED_TAGS">FEED_TAGS</a>, <a href="../../../../org/apache/nutch/metadata/Feed.html#FEED_UPDATED">FEED_UPDATED</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html#SpellCheckedMetadata--">SpellCheckedMetadata</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html#add-java.lang.String-java.lang.String-">add</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Add a metadata name/value mapping.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html#get-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Get the value associated to a metadata name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html#getNormalizedName-java.lang.String-">getNormalizedName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Get the normalized name of metadata attribute name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html#getValues-java.lang.String-">getValues</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Get the values associated to a metadata name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html#remove-java.lang.String-">remove</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Remove a metadata and all its associated values.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html#set-java.lang.String-java.lang.String-">set</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set metadata name/value.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.nutch.metadata.Metadata">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></h3>
<code><a href="../../../../org/apache/nutch/metadata/Metadata.html#addAll-org.apache.nutch.metadata.Metadata-">addAll</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#clear--">clear</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#equals-java.lang.Object-">equals</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#isMultiValued-java.lang.String-">isMultiValued</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#names--">names</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#readFields-java.io.DataInput-">readFields</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#setAll-java.util.Properties-">setAll</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#size--">size</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#toString--">toString</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#toString-java.lang.String-java.lang.String-">toString</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html#write-java.io.DataOutput-">write</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SpellCheckedMetadata--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SpellCheckedMetadata</h4>
<pre>public&nbsp;SpellCheckedMetadata()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNormalizedName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNormalizedName</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getNormalizedName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Get the normalized name of metadata attribute name. This method tries to
 find a well-known metadata name (one of the metadata names defined in this
 class) that matches the specified name. The matching is error tolerent. For
 instance,
 <ul>
 <li>content-type gives Content-Type</li>
 <li>CoNtEntType gives Content-Type</li>
 <li>ConTnTtYpe gives Content-Type</li>
 </ul>
 If no matching with a well-known metadata name is found, then the original
 name is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - Name to normalize</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>normalized name</dd>
</dl>
</li>
</ul>
<a name="remove-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;void&nbsp;remove(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html#remove-java.lang.String-">Metadata</a></code></span></div>
<div class="block">Remove a metadata and all its associated values.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/metadata/Metadata.html#remove-java.lang.String-">remove</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - metadata name to remove</dd>
</dl>
</li>
</ul>
<a name="add-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html#add-java.lang.String-java.lang.String-">Metadata</a></code></span></div>
<div class="block">Add a metadata name/value mapping. Add the specified value to the list of
 values associated to the specified metadata name.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/metadata/Metadata.html#add-java.lang.String-java.lang.String-">add</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the metadata name.</dd>
<dd><code>value</code> - the metadata value.</dd>
</dl>
</li>
</ul>
<a name="getValues-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValues</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getValues(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html#getValues-java.lang.String-">Metadata</a></code></span></div>
<div class="block">Get the values associated to a metadata name.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/metadata/Metadata.html#getValues-java.lang.String-">getValues</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the metadata.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the values associated to a metadata name.</dd>
</dl>
</li>
</ul>
<a name="get-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;get(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html#get-java.lang.String-">Metadata</a></code></span></div>
<div class="block">Get the value associated to a metadata name. If many values are assiociated
 to the specified name, then the first one is returned.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/metadata/Metadata.html#get-java.lang.String-">get</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the metadata.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value associated to the specified metadata name.</dd>
</dl>
</li>
</ul>
<a name="set-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>set</h4>
<pre>public&nbsp;void&nbsp;set(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html#set-java.lang.String-java.lang.String-">Metadata</a></code></span></div>
<div class="block">Set metadata name/value. Associate the specified value to the specified
 metadata name. If some previous values were associated to this name, they
 are removed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/metadata/Metadata.html#set-java.lang.String-java.lang.String-">set</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the metadata name.</dd>
<dd><code>value</code> - the metadata value.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SpellCheckedMetadata.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/metadata/Nutch.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/SpellCheckedMetadata.html" target="_top">Frames</a></li>
<li><a href="SpellCheckedMetadata.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
